Bug 271079 - No completion at all after 'friend'
Summary: No completion at all after 'friend'
Status: RESOLVED FIXED
Alias: None
Product: kdevelop
Classification: Unclassified
Component: Language Support: CPP (old) (show other bugs)
Version: 4.2.1
Platform: Compiled Sources Linux
: NOR wishlist (vote)
Target Milestone: 4.2.0
Assignee: kdevelop-bugs-null
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-16 06:09 UTC by Nicolás Alvarez
Modified: 2011-06-09 06:05 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nicolás Alvarez 2011-04-16 06:09:30 UTC
class Foo{};
class Bar{};
class Quux {
    friend <I get no completion here>

I'd expect it to show 'Foo' and 'Bar' as completion options. 

Such completion options should add the 'class' token if needed, but should also work if 'class' is already written (friend class <Ctrl-Space>).
Comment 1 Olivier.jg 2011-06-09 06:05:29 UTC
Git commit 834d2551617e482d31fc2b5eb741ef64ca67af51 by Olivier JG.
Committed on 09/06/2011 at 06:00.
Pushed by olivierjg into branch 'master'.

Get proper completion for "friend" and "friend class", add tests
BUG: 271079

M  +8    -4    languages/cpp/codecompletion/context.cpp     
M  +1    -1    languages/cpp/codecompletion/context.h     
M  +17   -0    languages/cpp/tests/test_cppcodecompletion.cpp     
M  +1    -0    languages/cpp/tests/test_cppcodecompletion.h     

http://commits.kde.org/kdevelop/834d2551617e482d31fc2b5eb741ef64ca67af51